List Encoding Profiles
List all file transcoding profiles for the service.
curl -X GET "https://api.5centscdn.com/v2/transcoding/profiles" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/transcoding/profiles"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/transcoding/profiles", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/transcoding/profiles", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/transcoding/profiles')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"profiles": {
"114298": {
"id": 114298,
"serviceid": 103,
"vmid": 151,
"type": "file",
"name": "2160p",
"filemode": "Single",
"settings": {
"name": "2160p",
"outdir": "mp4/",
"f": "mp4",
"cv": "libx264",
"sv": "2160p",
"svvalue": "",
"crfv": "24",
"bv": "1",
"bvvalue": 12000,
"vpass": "1",
"vprofile": "main",
"vlevel": "3.1",
"upscale": "N",
"ca": "aac",
"aca": "2",
"ba": "1",
"bavalue": "128",
"ara": "44100",
"filemode": "Single",
"threads": 2,
"bframe": 1,
"preset": "superfast",
"format": "mp4",
"weight": 8294400
},
"codec": "h264"
},
"114730": {
"id": 114730,
"serviceid": 103,
"vmid": 242,
"type": "file",
"name": "2160p",
"filemode": "Single",
"settings": {
"name": "2160p",
"outdir": "mp4/",
"f": "mp4",
"cv": "libx264",
"sv": "2160p",
"svvalue": "",
"crfv": "24",
"bv": "1",
"bvvalue": 12000,
"vpass": "1",
"vprofile": "main",
"vlevel": "3.1",
"upscale": "N",
"ca": "aac",
"aca": "2",
"ba": "1",
"bavalue": "128",
"ara": "44100",
"filemode": "Single",
"threads": 2,
"bframe": 1,
"preset": "superfast",
"format": "mp4",
"weight": 8294400
},
"codec": "h264"
},
"115638": {
"id": 115638,
"serviceid": 103,
"vmid": 347,
"type": "file",
"name": "2160p",
"filemode": "Single",
"settings": {
"name": "2160p",
"outdir": "mp4/",
"f": "mp4",
"cv": "libx264",
"sv": "2160p",
"svvalue": "",
"crfv": "24",
"bv": "1",
"bvvalue": 12000,
"vpass": "1",
"vprofile": "main",
"vlevel": "3.1",
"upscale": "N",
"ca": "aac",
"aca": "2",
"ba": "1",
"bavalue": "128",
"ara": "44100",
"filemode": "Single",
"threads": 2,
"bframe": 1,
"preset": "superfast",
"format": "mp4",
"weight": 8294400
},
"codec": "h264"
},
"117131": {
"id": 117131,
"serviceid": 103,
"vmid": 397,
"type": "file",
"name": "2160p",
"filemode": "Single",
"settings": {
"name": "2160p",
"outdir": "mp4/",
"f": "mp4",
"cv": "libx264",
"sv": "2160p",
"svvalue": "",
"crfv": "24",
"bv": "1",
"bvvalue": 12000,
"vpass": "1",
"vprofile": "main",
"vlevel": "3.1",
"upscale": "N",
"ca": "aac",
"aca": "2",
"ba": "1",
"bavalue": "128",
"ara": "44100",
"filemode": "Single",
"threads": 2,
"bframe": 1,
"preset": "superfast",
"format": "mp4",
"weight": 8294400
},
"codec": "h264"
}
}
}
/transcoding/profiles
Target server for requests. Edit to use your own host.
API key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Responses
API response status.
Map of transcoding profiles keyed by profile ID string.
Unique stream or record identifier.
Service account identifier.
Video manager zone ID this profile is associated with.
Record type identifier.
Human-readable name.
File encoding mode.
Profile settings object containing encoding parameters.
Human-readable name.
Output directory path for the encoded file.
Output container format.
Video codec identifier.
Scale video flag.
Target output resolution for video scaling.
Constant rate factor (CRF) for video quality control.
Enable custom video bitrate flag.
Custom video bitrate value in kbps.
Encoding pass number.
H.264 encoder profile.
H.264 encoder level.
Allow upscaling of video resolution flag.
Audio codec identifier.
Number of audio channels.
Enable custom audio bitrate flag.
Custom audio bitrate value in kbps.
Audio sample rate in Hz.
File encoding mode.
Number of CPU threads used for encoding.
Number of B-frames in the encoding sequence.
Encoder speed or quality preset.
Container format metadata from FFprobe.
Profile resolution weight in pixels.
Short codec name used for the encoding job.
Unique stream or record identifier.
Service account identifier.
Video manager zone ID this profile is associated with.
Record type identifier.
Human-readable name.
File encoding mode.
Profile settings object containing encoding parameters.
Human-readable name.
Output directory path for the encoded file.
Output container format.
Video codec identifier.
Scale video flag.
Target output resolution for video scaling.
Constant rate factor (CRF) for video quality control.
Enable custom video bitrate flag.
Custom video bitrate value in kbps.
Encoding pass number.
H.264 encoder profile.
H.264 encoder level.
Allow upscaling of video resolution flag.
Audio codec identifier.
Number of audio channels.
Enable custom audio bitrate flag.
Custom audio bitrate value in kbps.
Audio sample rate in Hz.
File encoding mode.
Number of CPU threads used for encoding.
Number of B-frames in the encoding sequence.
Encoder speed or quality preset.
Container format metadata from FFprobe.
Profile resolution weight in pixels.
Short codec name used for the encoding job.
Unique stream or record identifier.
Service account identifier.
Video manager zone ID this profile is associated with.
Record type identifier.
Human-readable name.
File encoding mode.
Profile settings object containing encoding parameters.
Human-readable name.
Output directory path for the encoded file.
Output container format.
Video codec identifier.
Scale video flag.
Target output resolution for video scaling.
Constant rate factor (CRF) for video quality control.
Enable custom video bitrate flag.
Custom video bitrate value in kbps.
Encoding pass number.
H.264 encoder profile.
H.264 encoder level.
Allow upscaling of video resolution flag.
Audio codec identifier.
Number of audio channels.
Enable custom audio bitrate flag.
Custom audio bitrate value in kbps.
Audio sample rate in Hz.
File encoding mode.
Number of CPU threads used for encoding.
Number of B-frames in the encoding sequence.
Encoder speed or quality preset.
Container format metadata from FFprobe.
Profile resolution weight in pixels.
Short codec name used for the encoding job.
Unique stream or record identifier.
Service account identifier.
Video manager zone ID this profile is associated with.
Record type identifier.
Human-readable name.
File encoding mode.
Profile settings object containing encoding parameters.
Human-readable name.
Output directory path for the encoded file.
Output container format.
Video codec identifier.
Scale video flag.
Target output resolution for video scaling.
Constant rate factor (CRF) for video quality control.
Enable custom video bitrate flag.
Custom video bitrate value in kbps.
Encoding pass number.
H.264 encoder profile.
H.264 encoder level.
Allow upscaling of video resolution flag.
Audio codec identifier.
Number of audio channels.
Enable custom audio bitrate flag.
Custom audio bitrate value in kbps.
Audio sample rate in Hz.
File encoding mode.
Number of CPU threads used for encoding.
Number of B-frames in the encoding sequence.
Encoder speed or quality preset.
Container format metadata from FFprobe.
Profile resolution weight in pixels.
Short codec name used for the encoding job.